zuul:
  routes:
    service-api:
      path: /api/**
      stripPrefix: true
      url: http://localhost:8081/
    legacy-app:
      path: /cruscottoUtilizzazioni/**
      stripPrefix: true
      url: http://localhost:8080/cruscottoUtilizzazioni/
    legacy-home:
      path: /**
      stripPrefix: false
      url: http://localhost:8080/cruscottoUtilizzazioni/
  host:
    socket-timeout-millis: 1800000

ribbon:
  eureka:
    enabled: true
  ConnectTimeout: 1800000
  ReadTimeout: 1800000    

eureka:
  client:
    serviceUrl:
      defaultZone: http://eureka:admin@127.0.0.1:8761/eureka/
  instance:
    preferIpAddress: true

auth:
  defaultIp: 127.0.0.1,2.228.32.102,151.22.5.101,93.57.95.188,2.228.32.65
  disable: true
  server:
    url: "http://gestioneutilizzazioni-debug.alkemytech.it/cruscottoUtilizzazioni/rest/user/roles"

#hystrix:
#  command:
#    default:
#      execution:
#        timeout:
#          enabled: false

